package com.wissamfawaz;

import java.io.FileNotFoundException;
import java.util.Formatter;
import java.util.FormatterClosedException;
import java.util.NoSuchElementException;
import java.util.Scanner;

public class CreateTextFile {
	private Formatter output;

	public void openFile() {
		try {
			output = new Formatter("records.txt");
		} catch (FileNotFoundException e) {
			System.err.println("Problem opening the file. Terminating.");
			System.exit(1);
		} catch (SecurityException e) {
			System.err.println("No write access to the file. Terminating");
			System.exit(1);
		}

	}

	public void addRecords() {
		Scanner scan = new Scanner(System.in);
		System.out.printf("%s%n", "Enter account records followed by EoF indicator.");
		System.out.printf("%s%n", "Enter ID, first, last names, and balance.");

		while (scan.hasNext()) {
			try {
				output.format("%d %s %s %.2f%n", scan.nextInt(), scan.next(), scan.next(), scan.nextDouble());
			} catch (NoSuchElementException e) {
				System.err.println("Invalid input type. Try again.");
				scan.nextLine();
			} catch (FormatterClosedException e) {
				System.err.println("Error writing to the file.");
				System.exit(1);

			}
			System.out.printf("%s%n", "Enter ID, first, last names, and balance.");
		}

		scan.close();
	}

	public void closeFile() {
		if (output != null)
			output.close();
	}

}
