package com.wissamfawaz;

import java.io.IOException;
import java.nio.file.Paths;
import java.util.NoSuchElementException;
import java.util.Scanner;

public class ReadTextFile {
	private Scanner input;

	public void openFile() {
		try {
			input = new Scanner(Paths.get("records.txt"));
		} catch (IOException e) {
			System.err.println("Error opening the file. Terminating");
			System.exit(1);
		}

	}

	public void readRecords() {
		System.out.printf("%-10s %-12s %-12s %10s%n", "Acct ID", "First name", "Last name", "Balance");
		while (input.hasNext()) {
			try {
				System.out.printf("%-10d %-12s %-12s %10.2f%n", input.nextInt(), input.next(), input.next(),
						input.nextDouble());
			} catch (NoSuchElementException e) {
				System.err.println("File is malformed. Terminating.");
				return;
			} catch (IllegalStateException e) {
				System.err.println("Error reading from file. Terminating.");
				System.exit(1);
			}
		}
	}

	public void closeFile() {
		if (input != null)
			input.close();
	}

}
