package com.wissamfawaz;

import java.io.EOFException;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.nio.file.Files;
import java.nio.file.Paths;

public class ReadSerFile {
	private ObjectInputStream input;
	
	public void openFile() {
		try {
			input = new ObjectInputStream(Files.newInputStream(Paths.get("records.ser")));
		} catch (IOException e) {
			System.err.println("Error opening the file. Terminating...");
			System.exit(1);
		}
		
	}
	
	public void readRecords() {
		System.out.printf("%-10s %-12s %-12s %10s%n", "Acct ID", 
				"First name", "Last name", "Balance");
		try {
			while(true) {
				Account account = (Account) input.readObject();
				System.out.printf("%-10d %-12s %-12s %10.2f%n", 
						account.getID(), account.getFirst(), account.getLast(), account.getBalance());
			}
		} catch(EOFException e) {
			System.out.println("No more records.");
		} catch(ClassNotFoundException e) {
			System.err.println("Invalid object type.");
			System.exit(1);
		} catch(IOException e) {
			System.err.println("Error reading object from file.");
			System.exit(1);
		}
	}
	
	public void closeFile() {
		if(input != null)
			try {
				input.close();
			} catch (IOException e) {
				System.err.println("Error closing the file.");
				System.exit(1);
			}
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

}
